package me.km.blocks;

import net.minecraft.block.BlockFarmland;
import net.minecraft.block.SoundType;
import net.minecraft.entity.Entity;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

public class BlockNoTrampleFarmland extends BlockFarmland
{
    public BlockNoTrampleFarmland()
    {
        super.setHardness(0.6F);
        super.setSoundType(SoundType.GROUND);
        super.setUnlocalizedName("farmland");
        super.useNeighborBrightness = true;
    }
    
    @Override
    public void onFallenUpon(World worldIn, BlockPos pos, Entity entityIn, float fallDistance) 
    {
        entityIn.fall(fallDistance, 1.0F);
    }
}
