package me.km.blocks;

import net.minecraft.block.SoundType;
import net.minecraft.block.material.MapColor;
import net.minecraft.block.state.IBlockState;
import net.minecraft.entity.Entity;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.IBlockAccess;
import net.minecraft.world.World;

public class BlockWoodCauldron extends BlockModCauldron
{
    public BlockWoodCauldron(String name, String local) 
    {
        super(name, local);
    }

    @Override
    public MapColor getMapColor(IBlockState state, IBlockAccess worldIn, BlockPos pos) 
    {
        return MapColor.WOOD;
    }
   
    @Override
    public SoundType getSoundType(IBlockState state, World world, BlockPos pos, Entity entity) 
    {
        return SoundType.WOOD;
    }
}
