package me.km.capabilities;

import net.minecraft.nbt.NBTBase;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.util.EnumFacing;
import net.minecraftforge.common.capabilities.Capability;
import net.minecraftforge.common.capabilities.Capability.IStorage;

public class ChestKeyStorage implements IStorage<IChestKey>
{
    @Override
    public NBTBase writeNBT(Capability<IChestKey> cap, IChestKey instance, EnumFacing side) 
    {
        NBTTagCompound com = new NBTTagCompound();
        com.setString("key", instance.getKey());
        com.setBoolean("iscopy", instance.isCopy());
        return com;
    }

    @Override
    public void readNBT(Capability<IChestKey> cap, IChestKey instance, EnumFacing side, NBTBase nbt) 
    {
        NBTTagCompound com = (NBTTagCompound) nbt;
        instance.setKey(com.getString("key"));
        instance.setCopy(com.getBoolean("iscopy"));
    }
}
