package me.km.capabilities;

import net.minecraft.nbt.NBTBase;
import net.minecraft.nbt.NBTPrimitive;
import net.minecraft.nbt.NBTTagInt;
import net.minecraft.util.EnumFacing;
import net.minecraftforge.common.capabilities.Capability;
import net.minecraftforge.common.capabilities.Capability.IStorage;

public class DefenseStorage implements IStorage<IDefense>
{
    @Override
    public NBTBase writeNBT(Capability<IDefense> cap, IDefense instance, EnumFacing side) 
    {
        return new NBTTagInt(instance.getMagicDefense());
    }

    @Override
    public void readNBT(Capability<IDefense> cap, IDefense instance, EnumFacing side, NBTBase nbt) 
    {
        instance.setMagicDefense(((NBTPrimitive) nbt).getInt());
    }
}
