package me.km.effects.active;

import me.km.KajetansMod;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.DamageSource;
import net.minecraft.util.EnumParticleTypes;
import net.minecraft.world.WorldServer;

public class AreaDamage extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {       
        for(int i = 0; i < power; i++)
        {
            KajetansMod.scheduler.scheduleTask(() -> attack(p), i * 20);
        }
        return true;
    } 
    
    private void attack(EntityPlayerMP p)
    {
        WorldServer w = p.getServerWorld();
        EffectUtils.spawnParticleCircle(w, p, EnumParticleTypes.FLAME, 5, 12);
        EffectUtils.spawnParticleCircle(w, p, EnumParticleTypes.FLAME, 4, 12);
        EffectUtils.spawnParticleCircle(w, p, EnumParticleTypes.FLAME, 3, 12);
        EffectUtils.spawnParticleCircle(w, p, EnumParticleTypes.FLAME, 2, 12);
        EffectUtils.spawnParticleCircle(w, p, EnumParticleTypes.FLAME, 1, 12);
        DamageSource ds = DamageSource.causePlayerDamage(p);
        EffectUtils.getEntsOfNotGuild(p, 5).stream().forEach((m) -> 
        {
            m.attackEntityFrom(ds, 2);   
        });
    }
}
