package me.km.effects.active;

import me.km.KajetansMod;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.DamageSource;
import net.minecraft.util.EnumParticleTypes;
import net.minecraft.world.WorldServer;

public class BladeStorm extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        WorldServer w = p.getServerWorld();
        DamageSource ds = DamageSource.causePlayerDamage(p);
        
        for(int i = 1; i < 6; i++)
        {
            KajetansMod.scheduler.scheduleTask(() -> 
            {
                EffectUtils.spawnParticleCircle(w, p, EnumParticleTypes.SWEEP_ATTACK, 3, 12);
                EffectUtils.spawnParticleCircle(w, p, EnumParticleTypes.SWEEP_ATTACK, 2, 12);
                EffectUtils.spawnParticleCircle(w, p, EnumParticleTypes.SWEEP_ATTACK, 1, 12);
                EffectUtils.getEntsOfNotGuild(p, 3).stream().forEach((m) -> 
                {
                    m.attackEntityFrom(ds, power);                           
                });
            }, 10 * i);
        }
        return true;
    } 
}
