package me.km.effects.active;

import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.entity.projectile.EntityTippedArrow;
import net.minecraft.init.MobEffects;

public class BlindingShot extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityTippedArrow arrow = EffectUtils.launchTippedArrow(p, power / 2d, MobEffects.BLINDNESS, power * 600, 0);
        arrow.setDamage(0.1);
        arrow.pickupStatus = EntityTippedArrow.PickupStatus.DISALLOWED;
        return true;
    }
}
