package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.Location;
import me.km.api.Utils;
import me.km.data.EntityData;
import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.player.EntityPlayerMP;

public class CallBack extends ActiveEffectBase
{  
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityData data = KajetansMod.data.getOrCreate(p);
        Location loc = data.getCallBack();
        if(loc != null)
        {
            p.fallDistance = 0;
            Utils.teleportEntity(p, loc);
            data.setCallBack(0, null);
            return true;
        }
        data.setCallBack(100 * power, new Location(p));
        return true;
    }
}
