package me.km.effects.active;

import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.entity.projectile.EntityArrow;

public class FireShot extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityArrow arrow = EffectUtils.launchProjectile(p, EntityArrow.class, power / 4f, null);
        arrow.setFire(Integer.MAX_VALUE);
        arrow.pickupStatus = EntityArrow.PickupStatus.DISALLOWED;
        return true;
    }
}
