package me.km.effects.active;

import me.km.api.Utils;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.MobEffects;
import net.minecraft.util.DamageSource;

public class HungerPunch extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityLivingBase liv = Utils.getTargetedEntity(p, 4, EntityLivingBase.class);
        if(liv == null)
        {
            return false;
        }
        DamageSource ds = DamageSource.causePlayerDamage(p);
        ds.setDamageIsAbsolute();
        ds.setDamageBypassesArmor();
        liv.attackEntityFrom(ds, p.getMaxHealth() / 7f);
        if(p.getMaxHealth() / 2 < p.getHealth())
        {
            EffectUtils.addPotionTo(liv, MobEffects.HUNGER, power * 40, 2);
        }
        return true;
    }
}
