package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.Utils;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.MobEffects;

public class JumpAttack extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityLivingBase liv = Utils.getTargetedEntity(p, 8, EntityLivingBase.class);
        if(liv == null)
        {
            return false;
        }
        EffectUtils.jumpTo(p, liv);
        KajetansMod.scheduler.scheduleTask(() -> 
        {
            EffectUtils.addPotionTo(liv, MobEffects.SLOWNESS, power * 20, 2);
            EffectUtils.addPotionTo(liv, MobEffects.BLINDNESS, power * 20, 0);
        }, 20);
        return true;
    }
}
