package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.Utils;
import me.km.data.EntityData;
import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.DamageSource;

public class LifeSteal extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityLivingBase liv = Utils.getTargetedEntity(p, 6, EntityLivingBase.class);
        if(liv == null)
        {
            return false;
        }
        EntityData data = KajetansMod.data.getOrCreate(liv);
        data.setLessHeal(100, 0.5f);
        data.setHealByDamageEntity(p);
        liv.attackEntityFrom(DamageSource.causePlayerDamage(p), power);
        return true;
    }
}
