package me.km.effects.active;

import me.km.KajetansMod;
import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.MobEffects;

public class Shadow extends ActiveEffectBase
{  
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        int duration = power * 80;
        p.setInvisible(true);
        KajetansMod.data.getOrCreate(p).setShadow(duration);
        KajetansMod.scheduler.scheduleTask(() -> 
        {
            if(!p.isPotionActive(MobEffects.INVISIBILITY))
            {
                p.setInvisible(false);
            }
        }, duration + 2);
        return true;
    }
}
