package me.km.effects.active;

import me.km.api.Utils;
import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.player.EntityPlayerMP;

public class ShadowStep extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        int radius;
        if(p.isInvisible())
        {
            radius = (power + 2) * 2;
        }
        else
        {
            radius = power + 2;
        }
        EntityLivingBase liv = Utils.getTargetedEntity(p, radius, EntityLivingBase.class);
        if(liv == null)
        {
            return false;
        }
        Utils.teleportEntity(p, liv);
        return true;
    }
}
