package me.km.effects.active;

import me.km.KajetansMod;
import me.km.data.EntityData;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;

public class Shield extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityData data = KajetansMod.data.getOrCreate(p);
        if(!data.hasArmorBoost())
        {
            data.setArmorBoost(200, 1.4f);
        }
        EffectUtils.getPlayersOfGuild(p, power + 2).stream()
                .forEach(pl -> 
                {
                    EntityData dataPlayer = KajetansMod.data.getOrCreate(pl);
                    if(!dataPlayer.hasArmorBoost())
                    {
                        dataPlayer.setArmorBoost(200, 1.4f);
                    }
                });
        return true;
    }
}
