package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.Utils;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.MobEffects;

public class SilencePunch extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityPlayerMP affectedPlayer = Utils.getTargetedEntity(p, 4, EntityPlayerMP.class);
        if(affectedPlayer == null)
        {
            return false;
        }
        power *= 20;
        EffectUtils.addPotionTo(p, MobEffects.NAUSEA, power, 0);
        KajetansMod.data.getOrCreate(affectedPlayer).setSilenceTime(power);
        return true;
    }
}
