package me.km.effects.active;

import me.km.api.Utils;
import net.minecraft.entity.effect.EntityLightningBolt;
import net.minecraft.world.WorldServer;
import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.math.BlockPos;

public class Thor extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        BlockPos pos = Utils.getPlayerTarget(p, power + 3).up();
        WorldServer w = p.getServerWorld();
        w.addWeatherEffect(new EntityLightningBolt(w, pos.getX(), pos.getY(), pos.getZ(), false));
        return true;
    }
}
