package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.Utils;
import me.km.effects.EffectBlockChanger;
import me.km.effects.ActiveEffectBase;
import me.km.effects.passive.TrapEffects;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.Blocks;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

public class VineTrap extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        int i = KajetansMod.playerbank.getGuildId(p);
        
        TrapEffects e = KajetansMod.skills.getEvent(TrapEffects.class);
        BlockPos l = Utils.getPlayerTarget(p, power + 7).add(0, 1, 0);
        
        World w = p.world;
        EffectBlockChanger list = new EffectBlockChanger(w);
        list.addBlock(l, Blocks.LOG, 1);
        list.addBlock(l.add(1, 0, 0), Blocks.VINE, 4);
        list.addBlock(l.add(-1, 0, 0), Blocks.VINE, 1);
        list.addBlock(l.add(0, 0, 1), Blocks.VINE, 8);
        list.addBlock(l.add(0, 0, -1), Blocks.VINE, 2);
        
        list.forEachLocation(lo -> e.addVineTrap(lo, i));
        list.run(160);
        KajetansMod.scheduler.scheduleTask(() -> 
        {
            list.forEachLocation(lo -> 
            {
                e.removeVineTrap(lo);
            });
        }, 160);
        return true;
    }
}
