package me.km.items;

import me.km.KajetansMod;
import net.minecraft.block.Block;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.Item;

public class ItemBlockSpecial extends net.minecraft.item.ItemBlockSpecial implements ItemModelProvider
{
    protected String name;
    
    public ItemBlockSpecial(String registry, String name, String local, Block block) 
    {
        super(block);
        this.name = name;
        super.setUnlocalizedName(local);
        this.setRegistryName(KajetansMod.MODID, registry);
    }

    @Override
    public void registerItemModel(Item item) 
    {
        KajetansMod.proxy.registerItemRenderer(this, 0, name);
    }
    
    @Override
    public ItemBlockSpecial setCreativeTab(CreativeTabs tab) 
    {
        super.setCreativeTab(tab);
        return this;
    }
}
