package me.km.networking;

import io.netty.buffer.ByteBuf;
import me.km.KajetansMod;
import me.km.snuviscript.ScriptEvents;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraftforge.fml.common.network.simpleimpl.IMessage;
import net.minecraftforge.fml.common.network.simpleimpl.IMessageHandler;
import net.minecraftforge.fml.common.network.simpleimpl.MessageContext;

public class FunctionKey implements IMessage
{
    private byte key;
    
    public FunctionKey() 
    {
        key = -1;
    }
    
    public FunctionKey(int key) 
    {
        this.key = (byte) key;
    }
    
    @Override
    public void fromBytes(ByteBuf buf) 
    {
        key = buf.readByte();
    }

    @Override
    public void toBytes(ByteBuf buf) 
    {
        buf.writeByte(key);
    }

    public static class Handler implements IMessageHandler<FunctionKey, IMessage>
    {
        @Override
        public IMessage onMessage(FunctionKey message, MessageContext ctx) 
        {
            EntityPlayerMP p = ctx.getServerHandler().player;
            p.getServerWorld().addScheduledTask(() -> 
            {
                KajetansMod.scripts.getEvent(ScriptEvents.class).onFunctionKey(ctx.getServerHandler().player, message.key);
            });
            return null;
        }
    }
}
