package me.km.snuviscript;

import me.km.KajetansMod;
import me.km.inventory.CustomContainer;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.inventory.ClickType;

public class ScriptInventoryHolder extends CustomContainer
{
    private final MinecraftScript qd;
    private final ScriptEvents e;

    public ScriptInventoryHolder(SnuviInventory inv, EntityPlayerMP p, MinecraftScript qd) 
    {
        super(inv, p);
        this.qd = qd;
        this.e = KajetansMod.scripts.getEvent(ScriptEvents.class);
    }

    @Override
    public boolean onButtonClick(int slot, int dragType, ClickType click, EntityPlayerMP p)
    {
        return e.onInventoryClick(qd, (SnuviInventory) inv, slot, click, p);
    }

    @Override
    public void onContainerClosed(EntityPlayer p) 
    {
        e.onInventoryClose(qd, (SnuviInventory) inv, p);
        super.onContainerClosed(p);
    }
}
