package me.km.sounds;

import me.km.KajetansMod;
import me.km.items.ModItems;
import net.minecraft.util.ResourceLocation;
import net.minecraft.util.SoundEvent;
import net.minecraftforge.registries.IForgeRegistry;

public class Sounds 
{
    public static SoundEvent MUSKET_CRIT;
    public static SoundEvent MUSKET_RELOAD;
    public static SoundEvent MUSKET_SHOT;
    public static SoundEvent REVOLVER_CRIT;
    public static SoundEvent REVOLVER_RELOAD;
    public static SoundEvent REVOLVER_SHOT;
    
    public static void init(IForgeRegistry<SoundEvent> r)
    {
        MUSKET_CRIT = register(r, "musket_crit");
        MUSKET_RELOAD = register(r, "musket_reload");
        MUSKET_SHOT = register(r, "musket_shot");
        REVOLVER_CRIT = register(r, "revolver_crit");
        REVOLVER_RELOAD = register(r, "revolver_reload");
        REVOLVER_SHOT = register(r, "revolver_shot");
        
        ModItems.fixSounds();
    }
    
    private static SoundEvent register(IForgeRegistry<SoundEvent> r, String name)
    {       
        ResourceLocation loc = new ResourceLocation(KajetansMod.MODID, name);
        SoundEvent e = new SoundEvent(loc);
        e.setRegistryName(loc);
        r.register(e);
        return e;
    }
}
