package me.km;

import me.km.blocks.BlockEvents;
import me.km.entities.ModEntities;
import me.km.events.CustomEventCaller;
import me.km.playerbank.ModDedicatedPlayerList;
import net.minecraft.client.model.ModelBiped;
import net.minecraft.client.renderer.entity.Render;
import net.minecraft.entity.Entity;
import net.minecraft.item.Item;
import net.minecraft.server.MinecraftServer;
import net.minecraft.server.dedicated.DedicatedServer;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.fluids.IFluidBlock;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

public class CommonProxy 
{
    public void registerItemRenderer(Item item, int meta, String id, String variant) 
    {
    }
    
    public void registerItemRenderer(Item item, int meta, String id) 
    {
    }

    public void registerFluidModel(IFluidBlock fluidBlock) 
    {
    }
    
    public void registerEntityRenderer(Class<? extends Entity> c, Render<? extends Entity> r)
    {
    }
    
    public void init() 
    {
        ModEntities.initServer();
        MinecraftForge.EVENT_BUS.register(new BlockEvents());
        MinecraftForge.EVENT_BUS.register(new CustomEventCaller());
    }
    
    public void overloadPlayerList(MinecraftServer server)
    {
        // This prevents clients from crashing, the custom player list only loads on servers
        overloadPlayerListWorkaround(server);
    }
    
    @SideOnly(Side.SERVER)
    private void overloadPlayerListWorkaround(MinecraftServer server)
    {
        if(server instanceof DedicatedServer)
        {
            DedicatedServer dedi = (DedicatedServer) server;
            dedi.setPlayerList(new ModDedicatedPlayerList(dedi));
        }
    }
    
    public ModelBiped getCylinderModel()
    {
        return null;
    }
    
    public ModelBiped getStrawHatModel()
    {
        return null;
    }
    
    // -------------------------------------------------------------------------
    // rendering stuff
    // -------------------------------------------------------------------------

    public void setFoliage(ResourceLocation loc)
    {
    }
    
    public void setGrass(ResourceLocation loc)
    {
    }
}
