package me.km.capabilities;

import net.minecraft.nbt.NBTBase;
import net.minecraft.util.EnumFacing;
import net.minecraftforge.common.capabilities.Capability;
import net.minecraftforge.common.capabilities.CapabilityInject;
import net.minecraftforge.common.capabilities.ICapabilitySerializable;

public class GunLoadProvider implements ICapabilitySerializable<NBTBase>
{
    @CapabilityInject(IGunLoad.class)
    public static final Capability<IGunLoad> GUN_LOAD_CAP = null;

    private final IGunLoad instance = GUN_LOAD_CAP.getDefaultInstance();

    @Override
    public boolean hasCapability(Capability<?> capability, EnumFacing facing)
    {
        return capability == GUN_LOAD_CAP;
    }

    @Override
    public <T> T getCapability(Capability<T> capability, EnumFacing facing)
    {
        return capability == GUN_LOAD_CAP ? GUN_LOAD_CAP.<T>cast(this.instance) : null;
    }

    @Override
    public NBTBase serializeNBT()
    {
        return GUN_LOAD_CAP.getStorage().writeNBT(GUN_LOAD_CAP, this.instance, null);
    }

    @Override
    public void deserializeNBT(NBTBase nbt)
    {
        GUN_LOAD_CAP.getStorage().readNBT(GUN_LOAD_CAP, this.instance, null, nbt);
    }
}
