package me.km.capabilities;

import net.minecraft.nbt.NBTBase;
import net.minecraft.nbt.NBTPrimitive;
import net.minecraft.nbt.NBTTagInt;
import net.minecraft.util.EnumFacing;
import net.minecraftforge.common.capabilities.Capability;
import net.minecraftforge.common.capabilities.Capability.IStorage;

public class GunLoadStorage implements IStorage<IGunLoad>
{
    @Override
    public NBTBase writeNBT(Capability<IGunLoad> cap, IGunLoad instance, EnumFacing side) 
    {
        return new NBTTagInt(instance.getCurrentLoad());
    }

    @Override
    public void readNBT(Capability<IGunLoad> cap, IGunLoad instance, EnumFacing side, NBTBase nbt) 
    {
        instance.setCurrentLoad(((NBTPrimitive) nbt).getInt());
    }
}
