package me.km.chatmanager;

import me.km.KajetansMod;
import me.km.api.Module;
import me.km.api.ModuleListener;
import net.minecraft.util.text.TextComponentString;
import net.minecraftforge.event.ServerChatEvent;
import net.minecraftforge.event.entity.player.PlayerEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

public class ChatListener extends ModuleListener
{
    private ChatManager manager;
    
    public ChatListener(Module m) 
    {
        super(m);
        manager = (ChatManager) m;
    }
    
    @SubscribeEvent
    public void onChatEvent(ServerChatEvent e)
    {    
        e.setComponent(new TextComponentString(
                        KajetansMod.chatManager.getFullName(e.getPlayer()) + "§1 | §r"  + 
                                ChatManager.colorMessage(e.getMessage(), e.getPlayer())));
    }
    
    @SubscribeEvent
    public void onGetPlayerName(PlayerEvent.NameFormat e)
    {
        String s = manager.getNickname(e.getEntityPlayer());
        if(s != null)
        {
            e.setDisplayname(s);
        }
    }
}
