package me.km.data;

import me.km.KajetansMod;
import me.km.api.Module;
import me.km.api.ModuleListener;
import net.minecraftforge.event.entity.living.LivingDeathEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.common.gameevent.PlayerEvent;
import net.minecraftforge.fml.common.gameevent.TickEvent;

public class EntityDataEvents extends ModuleListener
{
    private DataManager data;
    
    public EntityDataEvents(Module m) 
    {
        super(m);
        data = KajetansMod.data;
    }

    @SubscribeEvent(receiveCanceled = false)
    public void onLivingDeath(LivingDeathEvent e)
    {        
        data.onEntityDeath(e.getEntityLiving());
    } 
    
    @SubscribeEvent
    public void tickServer(TickEvent.ServerTickEvent e) 
    {       
        if(e.phase == TickEvent.Phase.END)
        {
            data.tick();
        }
    }
    
    @SubscribeEvent
    public void onPlayerLogOut(PlayerEvent.PlayerLoggedOutEvent e)
    {        
        data.onPlayerLogOut(e.player);
    }
}
