package me.km.effects.active;

import me.km.KajetansMod;
import me.km.data.EntityData;
import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.player.EntityPlayerMP;

public class ArmorBoost extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityData data = KajetansMod.data.getOrCreate(p);
        if(!data.hasArmorBoost())
        {
            data.setArmorBoost(power * 20, 1.2f);
            return true;
        }
        return false;
    }
}
