package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.Utils;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.DamageSource;

public class Doomed extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityPlayerMP p2 = Utils.getTargetedEntity(p, 8, EntityPlayerMP.class);
        if(p2 == null)
        {
            return false;
        }
        EffectUtils.jumpTo(p, p2);
        int duration = 20 * power;
        KajetansMod.data.getOrCreate(p2).setDoomed(power);
        KajetansMod.scheduler.scheduleTask(() -> 
        {
            p2.attackEntityFrom(DamageSource.causePlayerDamage(p), power);
        }, duration);
        return true;
    }
}
