package me.km.effects.active;

import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.MobEffects;
import net.minecraft.util.EnumParticleTypes;
import net.minecraft.util.math.Vec3d;
import net.minecraft.world.WorldServer;

public class FireProtectionRain extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        WorldServer w = p.getServerWorld();
        for(int i = 1; i <= power + 2; i++)
        {
            EffectUtils.spawnParticleCircle(w, p, EnumParticleTypes.FLAME, i, 6 * i);
        }
        EffectUtils.getPlayersOfGuild(p, power + 2).forEach(pl -> 
        {
            EffectUtils.addPotionTo(p, MobEffects.FIRE_RESISTANCE, 240, 1);
        });
        return true;
    }
}
