package me.km.effects.active;

import me.km.api.Utils;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.MobEffects;
import net.minecraft.init.SoundEvents;

public class NailDown extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityLivingBase liv = Utils.getTargetedEntity(p, 4, EntityLivingBase.class);
        if(liv == null)
        {
            return false;
        }
        EffectUtils.addPotionTo(liv, MobEffects.SLOWNESS, 20 * power, 50);
        EffectUtils.addPotionTo(liv, MobEffects.JUMP_BOOST, 30 * power, 128);
        EffectUtils.playSound(p, SoundEvents.BLOCK_ANVIL_PLACE);
        return true;
    }
}
