package me.km.effects.active;

import me.km.KajetansMod;
import me.km.data.EntityData;
import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.player.EntityPlayerMP;

public class PowerAttack extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityData data = KajetansMod.data.getOrCreate(p);
        if(!data.hasPowerAttack())
        {
            data.setPowerAttack(1 + power / 20f);
            return true;
        }
        return false;
    }
}
