package me.km.effects.active;

import me.km.api.Utils;
import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.DamageSource;

public class Revenge extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityLivingBase liv = Utils.getTargetedEntity(p, 4, EntityLivingBase.class);
        if(liv == null)
        {
            return false;
        }
        float damage = power;
        damage *= liv.getMaxHealth() / liv.getHealth();
        liv.attackEntityFrom(DamageSource.causePlayerDamage(p), damage);
        return true;
    }
}
