package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.Utils;
import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.player.EntityPlayerMP;

public class Silence extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityPlayerMP affectedPlayer = Utils.getTargetedEntity(p, 4, EntityPlayerMP.class);
        if(affectedPlayer == null)
        {
            return false;
        }
        KajetansMod.data.getOrCreate(affectedPlayer).setSilenceTime(60 * power);
        return true;
    }
}
