package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.GlobalText;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.MobEffects;
import net.minecraft.init.SoundEvents;

public class WarCall extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        try
        {
            EffectUtils.playSound(p, SoundEvents.ENTITY_GHAST_SCREAM);
            EffectUtils.getPlayersOfGuild(p, power + 2).forEach(pl -> 
            {
                EffectUtils.addPotionTo(p, MobEffects.FIRE_RESISTANCE, 300, 0);
                KajetansMod.data.getOrCreate(pl).setMagicArmorBoost(300, 1.2f);
            });
        }
        catch(ClassCastException ex)
        {
            System.out.println(GlobalText.shouldNotHappen());
        }
        return true;
    }
}
