package me.km.entities;

import me.km.KajetansMod;
import net.minecraft.client.renderer.entity.Render;
import net.minecraft.entity.Entity;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fml.common.registry.EntityRegistry;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraftforge.fml.relauncher.SideOnly;

public class ModEntities 
{
    public static void initServer() 
    {
        register(1, EntityBrownBear.class, "BrownBear", "bear/brownbear");
        register(2, EntityBlackBear.class, "BlackBear", "bear/blackbear");
        register(3, EntityHuman.class, "Human", "human");
        register(4, EntityNobody.class, "Nobody", "nobody");
    }
    
    @SideOnly(Side.CLIENT)
    public static void initClient() 
    {
        register(1, EntityBrownBear.class, "BrownBear", "bear/brownbear", new RenderBrownBear());
        register(2, EntityBlackBear.class, "BlackBear", "bear/blackbear", new RenderBlackBear());
        register(3, EntityHuman.class, "Human", "human", new RenderHuman());
        register(4, EntityNobody.class, "Nobody", "nobody", new RenderNobody());
    }

    @SideOnly(Side.CLIENT)
    private static void register(int id, Class<? extends Entity> c, String name, String path, Render<? extends Entity> r) 
    {
        register(id, c, name, path);
        KajetansMod.proxy.registerEntityRenderer(c, r);
    }
    
    private static void register(int id, Class<? extends Entity> c, String name, String path) 
    {
        EntityRegistry.registerModEntity(new ResourceLocation(KajetansMod.MODID + ":" + path), c, name, id, KajetansMod.instance, 144, 2, true);
    }
}
