package me.km.entities;

import me.km.KajetansMod;
import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.entity.Render;
import net.minecraft.util.ResourceLocation;

public class RenderNobody extends Render<EntityNobody>
{
    private static final ResourceLocation LOC = new ResourceLocation(KajetansMod.MODID, "nobody");
    
    public RenderNobody()
    {
        super(Minecraft.getMinecraft().getRenderManager());
        super.setRenderOutlines(false);
    }
    
    @Override
    protected ResourceLocation getEntityTexture(EntityNobody entity) 
    {
        return LOC;
    }
    
    @Override
    protected boolean canRenderName(EntityNobody entity)
    {
        return true;
    }
}
