package me.km.items.herbs;

import me.km.items.ItemFood;
import net.minecraft.item.ItemStack;
import net.minecraft.potion.PotionEffect;

public class ItemHerbs extends ItemFood
{
    public ItemHerbs(String name, String local) 
    {
        super(name, local, 0, 0, false);
        super.setAlwaysEdible();
    }
    
    public ItemHerbs(String name, String local, PotionEffect effect) 
    {
        this(name, local);
        super.setPotionEffect(effect, 1);
    }

    @Override
    public int getMaxItemUseDuration(ItemStack stack)
    {
        return 8;
    }
}
