package me.km.skills;

import java.util.List;
import java.util.Map;
import me.km.KajetansMod;
import me.km.effects.EffectCause;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.item.ItemStack;

public class ActiveSkillContainer extends SkillContainer
{ 
    public ActiveSkillContainer(String title, EntityPlayerMP p, List<ItemStack> stacks, List<Map.Entry<Skill, Byte>> list) 
    {
        super(title, p, p, stacks, list);
    }

    @Override
    public boolean castClickedSkill() 
    {
        return true;
    }

    @Override
    public void onCastSkill(EntityPlayerMP p, Skill s, byte level) 
    {
        if(s.getEffect().getEffectInstance().run(p, level, s.getMana(level), s.getCooldown(level), EffectCause.SKILL))
        {
            KajetansMod.skills.sendToPlayers(p.world, p.posX, p.posY, p.posZ, 20, "§3" + p.getName() + "§r hat §3" + s.getName() + "§r benutzt.");
            this.closeSafe();
        }
    }
}
